%global apiversion 0.6

Summary:       A C/C++ client library for CM interfaces
Name:          libcmis
Version:       0.6.2
Release:       1%{?dist}
License:       GPL-2.0-or-later OR LGPL-2.1-or-later OR MPL-1.1
URL:           https://github.com/tdf/libcmis
Source0:       https://github.com/tdf/libcmis/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel gcc-c++ make xmlto
BuildRequires: pkgconfig(cppunit) pkgconfig(libcurl) pkgconfig(libxml-2.0)


%description
LibCMIS is a C/C++ client library for working with CM (content management) interfaces.
The primary supported interface (which gave the library its name) is CMIS, which allows
applications to connect to any ECM behaving as a CMIS server (Alfresco or Nuxeo are
examples of open source ones). Another supported interface is Google Drive.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package tools
Summary: Command line tool to access CMIS
Requires: %{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains a tool for accessing CMIS from the command line.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-silent-rules \
    --disable-static --disable-werror \
    DOCBOOK2MAN='xmlto man'

sed -i -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

%check
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%make_build check

%files
%license COPYING.*
%doc AUTHORS NEWS
%{_libdir}/%{name}-%{apiversion}.so.*
%{_libdir}/%{name}-c-%{apiversion}.so.*

%files devel
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_includedir}/%{name}-c-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/%{name}-c-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-c-%{apiversion}.pc

%files tools
%{_bindir}/cmis-client
%{_mandir}/man1/cmis-client.1*

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.6.2-1
- Upgrade to version 0.6.2

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.5.2-6
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 0.5.2-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Shuo Wang <abushwang@tencent.com> - 0.5.2-1
- initial build
